@charset "UTF-8";

.m-faq-item {
  position: relative;
  background-color: #fff;
  border-radius: 10px;
  padding: 0 0 1px;
  &:not(:first-child) {
    margin-top: 15px;
  }
}
/* 質問 */
.m-faq-item-question {
  font-size: 16px;
  position: relative;
  padding: 25px 50px 24px;
  width: 100%;
  text-align: left;
  @media screen and (max-width: 600px) {
    font-size: 14px;
    padding: 17px 35px 16px;
  }
  &::before {
    content: "Q";
    position: absolute;
    left: 25px;
    top: 20px;
    font-size: 22px;
    color: var(--rdenshihozon-primary);
    @media screen and (max-width: 600px) {
      left: 13px;
      top: 13px;
    }
  }
  /* accordion実装 */
  &.js-accordion {
    cursor: pointer;
    & + .m-faq-item-answer {
      height: 0;
      opacity: 0;
      padding: 0 25px 0 45px;
      margin: 0 auto;
      overflow: hidden;
      visibility: hidden;
      @media screen and (max-width: 600px) {
        padding: 0 20px 0 40px;
      }
    }
  }
  /* accordion-open時 */
  &.is-accordion-open {
    & .m-faq-item-question__icon::after {
      opacity: 0;
    }
    & + .m-faq-item-answer {
      padding: 25px 25px 25px 45px;
      opacity: 1;
      margin: 0 auto 24px;
      height: auto;
      visibility: visible;
      @media screen and (max-width: 600px) {
        margin: 0 auto 11px;
        padding: 20px 20px 20px 40px;
      }
    }
  }
}
/* Safari対策用 */
button.m-faq-item-question {
  color: var(--black);
}
/* 質問アコーディオンアイコン */
.m-faq-item-question__icon {
  display: inline-block;
  background-color: var(--rdenshihozon-primary);
  width: 18px;
  height: 18px;
  border-radius: 9px;
  position: absolute;
  top: 25px;
  right: 25px;
  transition:
    transform 0.3s ease,
    background-color 0.3s ease;
  @media screen and (max-width: 600px) {
    top: 17px;
    right: 15px;
  }
  &::before,
  &::after {
    content: "";
    background-color: #fff;
    position: absolute;
    transition: opacity 0.2s ease;
  }
  &::before {
    width: 8px;
    height: 2px;
    left: 5px;
    top: 9px;
    transform: translateY(-50%);
  }
  &::after {
    width: 2px;
    height: 8px;
    left: 9px;
    top: 5px;
    transform: translateX(-50%);
  }
}
.m-faq-item__question:hover .m-faq-item-question__icon {
  transform: rotate(90deg);
}
/* 回答 */
.m-faq-item-answer {
  background-color: var(--rdenshihozon-bg-sub-03);
  width: 95%;
  height: auto;
  opacity: 1;
  padding: 25px 25px 25px 45px;
  margin: 0 auto 24px;
  overflow: visible;
  border-radius: 10px;
  transition: all ease 0.3s;
  visibility: visible;
  @media screen and (max-width: 600px) {
    margin: 0 auto 11px;
    padding: 20px 20px 20px 40px;
  }
}
.m-faq-item-answer-title {
  font-size: 16px;
  font-weight: 700;
  color: var(--rdenshihozon-primary);
  position: relative;
  @media screen and (max-width: 600px) {
    font-size: 15px;
  }
  &::before {
    content: "A";
    position: absolute;
    font-weight: 500;
    left: -25px;
    top: -3px;
    font-size: 22px;
    color: var(--rdenshihozon-primary);
  }
}
.m-faq-item-answer-detail {
  font-size: 14px;
  line-height: 1.6;
  margin: 10px 0 0;
}
.m-faq-item-answer-detail > *:not(:first-child) {
  margin: 10px 0 0;
}
.m-faq-item-answer-detail__link {
  text-decoration: underline;
  &:hover {
    text-decoration: none;
  }
}
/* FAQ導線ボタン用 */
.m-faq__btn {
  text-align: center;
  padding: 30px 0 0;
}
